Bug 99008 - Scolling ODT file freezes LibreOffice and the desktop session
Summary: Scolling ODT file freezes LibreOffice and the desktop session
Status: RESOLVED DUPLICATE of bug 98600
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.2.1 rc
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-03-31 20:58 UTC by Stanislav
Modified: 2018-01-12 10:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
ODT document and GDB trace. (80.82 KB, application/gzip)
2016-03-31 20:58 UTC, Stanislav
Details
master vs 5.1 (154.10 KB, image/png)
2016-04-05 23:18 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav 2016-03-31 20:58:41 UTC
Created attachment 123996 [details]
ODT document and GDB trace.

Hello,

Writer and the whole system freezes after opening and scrolling down
Test.odt.

ODT document and GDB trace are attached.

System trace are empty.

-- System Information:
Package: libreoffice-writer
Version: 1:5.1.2~rc1-1

Debian Release: 8.3
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'testing-updates'), (500, 'stable-updates'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 4.4.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages libreoffice-writer depends on:
ii  libabw-0.1-1           0.1.0-2
ii  libc6                  2.19-18+deb8u3
ii  libe-book-0.1-1        0.1.1-2
ii  libetonyek-0.1-1       0.1.1-2
ii  libgcc1                1:5.3.1-12
ii  libicu55               55.1-7
ii  libmwaw-0.3-3          0.3.1-2
ii  libodfgen-0.1-1        0.1.1-2
ii  libreoffice-base-core  1:5.1.2~rc1-1
ii  libreoffice-core       1:5.1.2~rc1-1
ii  librevenge-0.0-0       0.0.1-3
ii  libstdc++6             5.3.1-12
ii  libwpd-0.10-10         0.10.0-2+b1
ii  libwpg-0.3-3           0.3.0-3
ii  libwps-0.4-4           0.4.3-1
ii  libxml2                2.9.1+dfsg1-5+deb8u1
ii  uno-libs3              5.1.2~rc1-1
ii  ure                    5.1.2~rc1-1
ii  zlib1g                 1:1.2.8.dfsg-2+b1

Versions of packages libreoffice-writer recommends:
ii  libreoffice-math  1:5.1.2~rc1-1

Versions of packages libreoffice-writer suggests:
pn  default-jre | openjdk-8-jre | openjdk-7-jre | openjdk-6-jre   <none>
ii  fonts-crosextra-caladea                                       20130214-1
ii  fonts-crosextra-carlito                                       20130920-1
ii  libreoffice-base                                              1:5.1.2~rc1-1
pn  libreoffice-gcj                                               <none>
ii  libreoffice-java-common                                       1:5.1.2~rc1-1

Versions of packages libreoffice-core depends on:
ii  fontconfig                2.11.0-6.3
ii  fonts-opensymbol          2:102.6+LibO4.3.3-2+deb8u3
ii  libboost-date-time1.58.0  1.58.0+dfsg-5+b1
ii  libc6                     2.19-18+deb8u3
ii  libcairo2                 1.14.0-2.1
ii  libclucene-contribs1v5    2.3.3.4-4.1
ii  libclucene-core1v5        2.3.3.4-4.1
ii  libcmis-0.5-5v5           0.5.1-2
ii  libcups2                  1.7.5-11+deb8u1
ii  libcurl3-gnutls           7.38.0-4+deb8u3
ii  libdbus-1-3               1.10.8-1
ii  libdbus-glib-1-2          0.102-1
ii  libdconf1                 0.22.0-1
ii  libeot0                   0.01-3
ii  libexpat1                 2.1.0-6+deb8u1
ii  libexttextcat-2.0-0       3.4.4-1
ii  libfontconfig1            2.11.0-6.3
ii  libfreetype6              2.5.2-3+deb8u1
ii  libgcc1                   1:5.3.1-12
ii  libgl1-mesa-glx [libgl1]  10.3.2-1+deb8u1
ii  libglew1.13               1.13.0-2
ii  libglib2.0-0              2.48.0-1
ii  libgltf-0.0-0v5           0.0.2-4+b1
ii  libglu1-mesa [libglu1]    9.0.0-2
ii  libgraphite2-3            1.3.6-1~deb8u1
ii  libharfbuzz-icu0          0.9.35-2
ii  libharfbuzz0b             0.9.35-2
ii  libhunspell-1.3-0         1.3.3-3
ii  libhyphen0                2.8.8-1
ii  libice6                   2:1.0.9-1+b1
ii  libicu55                  55.1-7
ii  libjpeg62-turbo           1:1.3.1-12
ii  liblangtag1               0.5.1-3
ii  liblcms2-2                2.6-3+b3
ii  libldap-2.4-2             2.4.40+dfsg-1+deb8u2
ii  libmythes-1.2-0           2:1.2.4-1
ii  libneon27-gnutls          0.30.1-1
ii  libnspr4                  2:4.12-1
ii  libnss3                   2:3.23-1
ii  libodfgen-0.1-1           0.1.1-2
ii  libpcre3                  2:8.35-3.3+deb8u2
ii  libpng12-0                1.2.50-2+deb8u2
ii  librdf0                   1.0.17-1+b1
ii  libreoffice-common        1:5.1.2~rc1-1
ii  librevenge-0.0-0          0.0.1-3
ii  libsm6                    2:1.2.2-1+b1
ii  libssl1.0.2               1.0.2g-1
ii  libstdc++6                5.3.1-12
ii  libx11-6                  2:1.6.2-3
ii  libxext6                  2:1.3.3-1
ii  libxinerama1              2:1.1.3-1+b1
ii  libxml2                   2.9.1+dfsg1-5+deb8u1
ii  libxrandr2                2:1.5.0-1
ii  libxrender1               1:0.9.8-1+b1
ii  libxslt1.1                1.1.28-2+b2
ii  uno-libs3                 5.1.2~rc1-1
ii  ure                       5.1.2~rc1-1
ii  zlib1g                    1:1.2.8.dfsg-2+b1

-- no debconf information
Comment 1 raal 2016-04-01 10:45:29 UTC
I can not confirm with Version: 5.2.0.0.alpha0+; win7
Comment 2 Stanislav 2016-04-01 19:39:40 UTC
(In reply to raal from comment #1)
> I can not confirm with Version: 5.2.0.0.alpha0+; win7

Hello,

Could you test on 5.1.2.1_rc1 version?
Comment 3 raal 2016-04-01 22:20:02 UTC
Needs to be confirmed independently. Changing status back to Unconfirmed. If you want to test, dev version you can download here http://dev-builds.libreoffice.org/daily/master/
Comment 4 Stanislav 2016-04-01 22:38:35 UTC
(In reply to raal from comment #3)
> Needs to be confirmed independently.

Please, would you be able to confirm the bug independently for 5.1.2.1 rc?
Comment 5 Timur 2016-04-04 11:51:19 UTC
I reproduced this in Windows with LO 5.1.2.2 so bug existed in both platforms. 
But, I didn't with master~2016-03-27_09.52.41_LibreOfficeDev_5.2.0.0.alpha0_Win_x86 so I'll close as WFM. 
Please test yourself from http://dev-builds.libreoffice.org/daily/master/ and reopen if proved otherwise.
Comment 6 Timur 2016-04-04 11:54:36 UTC
Whether bug will be backported to 5.1 is another issue. Original bug where this was fixed should be found and checked.
Comment 7 Stanislav 2016-04-04 12:29:50 UTC
(In reply to Timur from comment #6)
> Whether bug will be backported to 5.1 is another issue. Original bug where
> this was fixed should be found and checked.

This issue was reported for the current 5.1.2 release candidate version of LibreOffice in the hope that it will be fixed in release, didn't it?

I guess it doesn't make sense to close the bug until it is fixed in 5.1.2. So it's status DOESNOTWORKSFORYOUYET :-) Otherwise there was no sense to report a bug to the release candidate and certainly makes no sense to fix this bug in 5.1.2 release.
Comment 8 Timur 2016-04-04 12:49:43 UTC
That's not how LO works. Please don't reopen unless tested with master.
Comment 9 Stanislav 2016-04-05 15:09:30 UTC
Bug wasn't reproduced with master~2016-03-27_09.53.05_LibreOfficeDev_5.2.0.0.alpha0_Linux_x86-64_deb.tar.gz 
I hope bugfix would be ported back to 5.1.2 release.
Comment 10 Stanislav 2016-04-05 17:41:38 UTC
I've found similar existing bugs but I haven't found similar bugs that are solved in 5.2.0.0.alpha0 yet.
Comment 11 Yousuf Philips (jay) (retired) 2016-04-05 22:21:12 UTC
I wouldnt consider a bug fixed if the bug brings a user's session to a halt on LO Fresh.

@raal: Can you bibisect this and see where it was fixed.
Comment 12 Yousuf Philips (jay) (retired) 2016-04-05 23:18:15 UTC
Created attachment 124112 [details]
master vs 5.1

Bug isnt in 5.0.

Version: 5.0.5.2
Build ID: 55b006a02d247b5f7215fc6ea0fde844b30035b3
Locale: en-US (en_US.UTF-8)

Bug shows a std::bad_alloc error dialog in 5.1.1 and then crashes.

Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
Locale: en-US (en_US.UTF-8)

Bug isnt there in master.

Version: 5.2.0.0.alpha0+
Build ID: 02fb3fd0533222dfea5b6b9232425a5e28cd340f
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-03-29_06:02:35
Locale: en-US (en_US.UTF-8)

I believe the cause of the problem is the formula renderer, as 5.1 doesnt render formula's correctly, as can be seen in the screenshot. The bug happens after scrolling past the metafile on page 3, which is the formula "S = πR^{2} - πr^{2} = π(R^{2} - r^{2})".
Comment 13 raal 2016-04-06 06:54:05 UTC
Should be in 5.1.3 -> looking at bug 98600 ->  target:5.1.3

So test with dev5.1: http://dev-builds.libreoffice.org/daily/libreoffice-5-1/


reverse bisecting:
8df61b71a38cbab777e01c47efdbdaaa1bd78b2f is the first bad commit
commit 8df61b71a38cbab777e01c47efdbdaaa1bd78b2f
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Mar 18 23:52:12 2016 -0700

    source sha:c5bee7b8c1055e5052a261c8755bdb150fb27494

    source sha:c5bee7b8c1055e5052a261c8755bdb150fb27494


author	Noel Grandin <noel@peralex.com>	2016-03-15 09:05:07 (GMT)
committer	Noel Grandin <noel@peralex.com>	2016-03-15 09:07:42 (GMT)
commit	c5bee7b8c1055e5052a261c8755bdb150fb27494 (patch)
tree	1c1f5de891583f0430806ad18c2a3012cf646c88
parent	73443fd278811837650160482c34c15e8830f0d3 (diff)
tdf#98600 and tdf#98622 fix metafile parsing
regression from commit db17d3c1 "new loplugin: memoryvar"

*** This bug has been marked as a duplicate of bug 98600 ***
Comment 14 Stanislav 2016-04-06 15:28:23 UTC
No bug in LibreOfficeDev 5.1.3.0.0 on Debian GNU/Linux x86-64 (2016-03-31_08.31.30).

Is it possible to port back this bug fix to 5.1.2 release?
Comment 15 Yousuf Philips (jay) (retired) 2016-04-06 20:37:24 UTC
(In reply to Stanislav from comment #14)
> Is it possible to port back this bug fix to 5.1.2 release?

Spoke with the release team and they said it wouldnt be feasible to build another 5.1.2 release just for this fix, so you'll have to wait until 5.1.3 is released or use 5.0.
Comment 16 Stanislav 2016-04-07 16:46:43 UTC
(In reply to Yousuf (Jay) Philips from comment #15)
> ... you'll have to wait until 5.1.3
> is released or use 5.0.

Understand. Unfortunately, users do not have neither Still nor the Fresh LibreOffice releases in the current Debian official branches (stable and testing, I mean). Therefore, it is impossible to install 5.0.x (Still) via package into Debian infrastructure.

The release plan for LibreOffice and Debian are different, and there are no obvious proposals as for Firefox ESR/Debian, for example:

"Mozilla releases new Firefox releases every 6 to 8 weeks.
In parallel of these rapid releases, Mozilla proposes a version called
ESR which is maintained for about 9 months.
On the contrary, Debian having a longer release cycle (about every two
years), release cycles don't align.
Because of the complexity of backporting security fixes, Debian cannot
maintain a deprecated ESR release.

To address this packaging issue, once a ESR cycle is over, Debian has
been accepting uploads of new ESR releases in the stable release." [1]

[1]: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=815006
Comment 17 Yousuf Philips (jay) (retired) 2016-04-08 22:10:08 UTC
(In reply to Stanislav from comment #16)
> Understand. Unfortunately, users do not have neither Still nor the Fresh
> LibreOffice releases in the current Debian official branches (stable and
> testing, I mean). Therefore, it is impossible to install 5.0.x (Still) via
> package into Debian infrastructure.

You can grab 5.0.x from libreoffice.org ( http://downloadarchive.documentfoundation.org/libreoffice/old/5.0.5.2/deb/ ) or you can wait till next month when debian testing has 5.1.3 in the repo.